var iOpcionConfig;
var OPC_Config_Sintonizar = 1;
var OPC_Config_Orden = 2;
//var OPC_Config_Video = 3;
//var OPC_Config_Audio = 4;
var OPC_Config_SalidaRF = 3;
var OPC_Config_Transparencia = 4;
var OPC_Config_Estado = 5;
var OPC_Config_MAX = 5;

function Pag_Config_Show(iOpc) {
	iOpcionConfig = 0;
	Page_Show("Pag_Config",
		 '<table id="Pag_Config" width="720px" cellpadding="0" cellspacing="0" style="table-layout: fixed; background-image: url(fondo_menu.png);">'
		+'<tr height="88px">'
		+'	<td width="67px"/>'
		+'	<td width="202px" valign="bottom" style="color:#ffffff; font-size:18pt;">&nbsp;Configuración</td>'
		+'	<td width="298px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="150px"/>'
		+'</tr>'
		+'<tr height="7px"/>'
		+'<tr height="455px">'
		+'	<td/>'
		+'	<td valign="top"><table width="202px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'		<tr height="34px"><td id="Pag_Config_Opcion1" class="font16" style="background-repeat: no-repeat;' + ((iOpc==1 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Sintonización</td></tr>'
		+'		<tr height="34px"><td id="Pag_Config_Opcion2" class="font16" style="background-repeat: no-repeat;' + ((iOpc==2 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Ordenar canales</td></tr>'
		+'		<tr height="34px"><td                 class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Video</td></tr>'
		+'		<tr height="34px"><td                 class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Audio</td></tr>'
		+'		<tr height="34px"><td id="Pag_Config_Opcion3" class="font16" style="background-repeat: no-repeat;' + ((iOpc==3 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Salida RF</td></tr>'
		+'		<tr height="34px"><td id="Pag_Config_Opcion4" class="font16" style="background-repeat: no-repeat;' + ((iOpc==4 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Transparencia</td></tr>'
		+'		<tr height="34px"><td id="Pag_Config_Opcion5" class="font16" style="background-repeat: no-repeat;' + ((iOpc==5 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Estado</td></tr>'
		+'	</table></td>'
		+'	<td id="Pag_Config_Form" valign="top" align="left" colspan="2"></td>'
		+'</tr>'
		+'</table>');
	if (iOpc > 0) ActualizarConfig(iOpc);
}

function Pag_Config_Close() {
	Pag_Menu_Show(OPC_Menu_Config);
}

function Pag_Config_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarConfig(iOpcionConfig - 1);
			return 0;
		case KEY_DOWN:
			ActualizarConfig(iOpcionConfig + 1);
			return 0;
		case KEY_BACK:
		case KEY_LEFT:
			Pag_Config_Close();
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			switch (iOpcionConfig) {
			case OPC_Config_Sintonizar:
				Pag_Config_Sintonizar_Show();
				break;
			case OPC_Config_Orden:
				Pag_Orden_Show();
				break;
//			case OPC_Config_Video:
//			case OPC_Config_Audio:
			case OPC_Config_SalidaRF:
				Pag_Config_SalidaRF_Show();
				break;
			case OPC_Config_Transparencia:
				Pag_Config_Transparencia_Show();
				break;
			case OPC_Config_Estado:
				Pag_Config_Estado_Show();
				break;
			}
			return 0;
		}
	} catch(ex) {
		alert("Pag_Config_KeyDown: " + ex); 
	}
	return 1;
}

function ActualizarConfig(iOpc) {
	if (iOpcionConfig > 0) {
		document.getElementById("Pag_Config_Opcion" + iOpcionConfig).style.backgroundImage="none";
	}
	iOpcionConfig = iOpc;
	if (iOpcionConfig < 1) iOpcionConfig = OPC_Config_MAX;
	if (iOpcionConfig > OPC_Config_MAX) iOpcionConfig = 1;
	document.getElementById("Pag_Config_Opcion" + iOpcionConfig).style.backgroundImage="url(cursor_red.png)";
}
